0.244 2022-05-25
----------------


MAME Testers bugs fixed
-----------------------
- 01288: [DIP/Input] (exidy.cpp) venture, mtrap: Coin inputs are duplicated. (Vas Crabb)
- 03729: [Color/Palette] (galaxian.cpp) gmgalax: Colors are incorrect. (Robbbert)
- 05753: [Misc.] (pentagon.cpp) pentagon: The demo “recycler by Thesuper” does not boot. (holub)
- 06529: [Crash/Freeze] (spec128.cpp) spec128 [strider]: Emulated system reboots after finishing stage 2. (holub)
- 07564: [Crash/Freeze] (megadriv.cpp) genesis [nbaliv98]: Navigating menus triggers the game’s exception handler. (kmg)
- 07768: [Gameplay] (namcos2.cpp) bubbletr: Score displays and outputs are not exposed. (hap)
- 08185: [Graphics] (spectrum.cpp) spec128 and clones [chasehq]: Logo partly disappears during title screen animations. (holub)
- 08261: [Crash/Freeze] (spcforce.cpp) spcforce, spcforc2, meteor, meteors: Game freezes at title screen after soft reset. (AJR)
- 08303: [DIP/Input] (system1.cpp) ufosensi, ufosensib: DIP switch marked as unknown controls demo sounds. (kmg)
- 08304: [Crash/Freeze] (apxen.cpp) apxen: [debug] Slot tag shadows an option name, making it impossible to configure. (Robbbert)
- 08305: [Crash/Freeze] (x68k.cpp) All machines in x68k.cpp: [debug] System attempts to schedule timer on invalid video line. (AJR)
- 08306: [Crash/Freeze] (usgames.cpp) All machines in usgames.cpp: [debug] Attempting to decode non-existent ROM. (Ivan Vangelista)
- 08307: [Crash/Freeze] (konmedal68k.cpp) spcpokan: [debug] Attempting to read past end of video ROM. (R. Belmont)
- 08308: [Crash/Freeze] (mk98.cpp) mk98: [debug] Attempting to write past end of memory region. (Robbbert)
- 08311: [Crash/Freeze] (specpls3.cpp) specpls3 [rickdan2]: Game fails to load, displaying corrupt loading screen. (smf)
- 08315: [DIP/Input] (nemesis.cpp) salamand and clones: Inserting a coin may give two credits. (kmg)
- 08316: [Gameplay] (wmg.cpp) wmg: Selecting a game causes emulated system to crash. (Robbbert)
- 08321: [Documentation] (system1.cpp) wbml and clone: Descriptions do not match game titles. (kmg)


New working machines
--------------------
Hot Chilli (95103, v0104) [Roberto Fresca, Grull Osgo, Matt B]
Selchow & Righter Scrabble Lexor - Computer Word Game [hap, Sean Riddle]
Mahjong The Mysterious Orient Returns [BET] (Japan, v1.00) [buffi]
RFC2795 Ltd RC2014 Classic [Miodrag Milanović]
National Semiconductor Cops Pocket Assistant [hap, Sean Riddle]


New working clones
------------------
Atari 5200 (2-port) [einstein95]
Batsugun (bootleg) [buffi]
Batsugun (older, set 2) [buffi]
Dogyuun (oldest set) [buffi]
Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 102, 102, 100HK) [buffi]
Moon Cresta (Electrogame S.A. Spanish bootleg, set 2) [Victor Fernandez (City Game), ClawGrip]
RFC2795 Ltd RC2014 Backplane Pro [Miodrag Milanović]
RFC2795 Ltd RC2014 Backplane-5 [Miodrag Milanović]
RFC2795 Ltd RC2014 Backplane-8 [Miodrag Milanović]
RFC2795 Ltd RC2014 Classic II [Miodrag Milanović]
RFC2795 Ltd RC2014 Mini with CP/M Upgrade [Miodrag Milanović]
RFC2795 Ltd RC2014 Pro [Miodrag Milanović]
RFC2795 Ltd RC2014 Zed [Miodrag Milanović]
RFC2795 Ltd RC2014 Zed Pro [Miodrag Milanović]
Saitek Kasparov Corona (ver. C, set 1) [anonymous]
Thunder Dragon (bootleg with Raiden sounds, unencrypted) [f205v]
unknown 'Space Invaders' gambling game (unencrypted) [Jorge Silva]


Clones promoted to working
--------------------------
Multi Win (Ver.0091, encrypted) [Ivan Vangelista]
Skelagon [smf]


New machines marked as NOT_WORKING
----------------------------------
Dallas Poker [TeamEurope, Roberto Fresca]
Kajot Card (Version 1.01, Wien Euro) [TeamEurope, Roberto Fresca]
Lite A Nudge (JPM) (SRU) (revision 17F, 5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Neo Print - European Version (World) (T4i 2.00) [buffi]
Neo Print - Popeye (Japan) (T4i 3.04) [buffi]
Nudge Double Up (JPM) (SRU) (revision 17, 5p Stake, £1 Jackpot) [SomeRandomGuyIdk]
Pong Boo! 2 (Ver. 1.31) [buffi]
Rally Point 2 [coolmod]
unknown Poker 'W' [TeamEurope, Roberto Fresca]


New clones marked as NOT_WORKING
--------------------------------
Double Top (JPM) (SRU) (revision 13, £2 Jackpot) [SomeRandomGuyIdk]
The House of the Dead (Revision A) [egregiousguy]
Lite A Nudge (JPM) (SRU) (£2 Jackpot) [SomeRandomGuyIdk]
Magic Card Export (v4.01) [Ioannis Bampoulas, Roberto Fresca]
Magic Card Export 94 (v2.11a, set 2) [Ioannis Bampoulas, Roberto Fresca]
Magic Card Export 94 (v2.9a) [Ioannis Bampoulas, Roberto Fresca]
Nudge Double Up (JPM) (SRU) (revision 17, 5p Stake, £1 Jackpot, lower %) [SomeRandomGuyIdk]
Roland PR-100 Digital Sequencer (v2.01) [Foone Turing]
Zenith Data Systems Z-180 Series [Colin McDougall]


New working software list additions
-----------------------------------
apple2_flop_clcracked: Drugs: Their Effects on You (cleanly cracked) [4am, Matthew Eric D'Asaro, Firehawke]
apple2_flop_orig: Drugs: Their Effects on You [Matthew Eric D'Asaro, Firehawke]
bbc_rom:
  Chuckie Egg (unofficial ROM), Frak! (unofficial ROM), Integra-B OS 1.14, Integra-B OS 1.20, Integra-B OS 1.20 (Y2K patched),
  Killer Gorilla (unofficial ROM), Memex-B20 2.2, PipeDream 0.2, VidiEditor 1.2 [Nigel Barnes]
c64_cart: Z80 Video Pak [smf]
c64_cass:
  Salamander (Imagine), Sanxion, Savage, Scorpion (Prism Leisure), The Secret Diary of Adrian Mole, The Sentinel,
  Sentinel (U.S. Gold), Shadow Skimmer [The Ultimate Tape Archive Team]
cdi: The Photo CD Book Companion CD-ROM [David Silva]
fmtowns_cd:
  '94-nen Nice Gal - Natsu no Soukessan, Ii Tabi Ii Aji Goannai - Furusato Kodzutsumi & Kanpo no Yado - Heisei Gannendo-ban,
  The Playroom, Pocky 1-2 + Ponyon, Psychic Detective Series Final - Solitude Gekan (Demo),
  Psychic Detective Series Vol. 4 - Orgel (Demo), Zak McKracken and The Alien Mindbenders (HMB-218) [redump.org]
gameboy:
  Into the Blue, Retroid [Jonas Fischbach]
  Death Planet [Mackerel Interactive]
  Dangan GB [snorpung, nordloef]
gba: World Reborn (USA) [No-Intro]
gbcolor:
  Green Beret (prototype 1), Green Beret (prototype 2), Green Beret (prototype 3) [Kak, retroLEL]
  Tyrannosaurus Tex (USA) [No-Intro]
megadriv:
  Awesome Possum Kicks Dr. Machino's Butt! (USA, prototype, 19930712) [DrBizz]
  Canon - The Legend of the New Gods, Clan of Heroes - Generals of the Yang Family, Custodian, Duke Nukem 3D (Piko reissue),
  Mega Noah's Ark 3D, Switchblade, Water Margin - A Tale of Clouds and Wind, Wisdom Tree Collection [No-Intro]
mtx_cart: MAGROM v1.00, MAGROM v1.02, MAGROM v1.03(SP), MAGROM v1.04, MAGROM v1.05, MAGROM v1.05a, MAGROM v2.00 [Martin Allcorn]
mtx_hdd:
  CP/M 54K, CP/M 59K, Hex-Train [Andy Key]
  Fuzix OS [Alan Cox]
nes:
  Exploding Fist (USA), Get'em Gary, More Glider, Nomolos - Storming the Catsle (v1.00), Quest Forge - By Order of Kings,
  Wùkōng Dòujù (China) [anonymous]
  Uninvited (USA, prototype) [Forest of Illusion, Clarkzer0]
  Tújí (Taiwan) [kazblox]
  Baby Boomer (Korea) [MLX]
  Multidude, Super Painter [RetroSouls]
pc98_cd:
  Brandish 2 Renewal, Canaan - Yakusoku no Chi, Doom II for Windows 95, Ningen Konchuu - Nozoki, Shin'ou Densetsu Crystania DX,
  Uki Uki Island [redump.org]
  X Girl [redump.org, cyo.the.vile]
snes:
  Corn Buster, Dorke & Ymp, Iron Commando, Legend (Piko reissue), Mr. Bloopy Saves the World, Super Noah's Ark 3D (Piko reissue),
  Super Thor Quest [No-Intro]
spectrum_cass:
  Exolon (bug fix), Exolon (Erbe), Horacio Esquiador, Smash TV (Erbe) [spectrumcomputing.co.uk]
  Chess Nuts, Coin-It [Steven Brown, Planeta Sinclair]
  Bomb Jack (Z Cobra), Bomb Jack II (MCM), Bomb Jack II (Zafi Chip) [worldofspectrum.org]
  Inspector Gadget and the Circus of Fear, LSD Megademo, The Lyra II Megademo, The Ren and Stimpy Slideshow, Shock Megademo
  [ICEknight]
timex_cass: Byte Power (February 1988) [aralbrec]


Software list items promoted to working
---------------------------------------
bbc_rom: SideAid128 1.03 [Nigel Barnes]
gamegear: BreakThru! (prototype) [kmg]
pc98_cd: Manji PSYyuuki [redump.org, r09]


New NOT_WORKING software list additions
---------------------------------------
c64_cass: Scooby-Doo, Shadows of Mordor [The Ultimate Tape Archive Team]
pc98_cd:
  Ayumi-chan Monogatari, Ginga Eiyuu Densetsu IV, Master of Magic, NEC Demonstration CD-ROM - Evolution and Dinosaurs,
  Prince of Persia 2 - The Shadow & The Flame, Sorcer Kingdom, Strike Commander, Teitoku no Ketsudan III, Ultima VIII - Pagan,
  Umanari 1 Furlong Theater 2, Yumemizaka [redump.org]
  Etemible - Tenjou Mukyuu [redump.org, coolmod]
  Collector D [redmp.org, cyo.the.vile]


Merged pull requests
--------------------
- 9311: 8080bw.cpp: Added color emulation for vortex. [Mike Coates, Ivan Vangelista]
- 9449: cpu/z80: Improved timing of M cycles; spectrum.cpp: Improved emulation of bus contention. [holub]
- 9605: osd/modules/input: Detect joystick reconnection with SDL. [Vas Crabb]
- 9614: sound/upd7759.cpp: Added support for switching between standalone and slave mode dynamically. [Wilbert Pol]
- 9615: formats/fs_coco_rsdos.cpp: Added logic to detect cycles in file granule (block) lists. [Nathan Woods]
- 9616: imagedev/floppy.cpp: Changed identify to take std::string_view rather than std::string. [Nathan Woods]
- 9617: nes.xml: Fixed a few more mirroring issues, and demoted strikwlf to unsupported. [kmg]
- 9618: bus/nes: Improved code for emulating several bootlegs. [kmg]
- 9621: apple2_flop_orig.xml, apple2_flop_clcracked.xml: Added a painstakingly recovered disk. [Matthew Eric D'Asaro, Firehawke]
- 9622: spectrum_cass.xml: Added one game and a couple of demos. [ICEknight]
- 9623: a2600.xml: Fixed publisher name and parent/clone relationships for Mystique games. [einstein95]
- 9624: 8080bw.cpp: Removed cocktail inputs from spaceat2 and sinvzen. [einstein95]
- 9625: osborne1.cpp: Changed floppy drives to single-sided double density (fixes MT08100). [theoldsport]
- 9626: cpu/mips: Mitigated performance impact of optional additional instruction checks. [Ryan Holtz]
- 9628: bus/nes: Improved emulation of Jaleco cartridges. [kmg]
- 9629: machine/z80scc.cpp: Reduced performance impact of emulating zero count interrupt. [Ryan Holtz]
- 9630: machine/i2cmem.cpp: Only acknowledge correct device ID. [Paul-Arnold]
- 9632: jpmsru.cpp: Improved emulation of JPM SRU fruit machines, making four games playable. [SomeRandomGuyIdk]
- 9633: xavix2.cpp: Implemented tile scaling. [MoochMcGee]
- 9637: spectrum48.cpp: Fix “floating” interrupt. [holub]
- 9640: spec128.cpp, specpls3.cpp: Added initial bus contention emulation for Spectrum 128+ models. [holub]
- 9641: bus/nes: Cleaned up code. [kmg]
- 9642: vigilant.cpp: Fixed sound ROM mapping for bowmen, allowing music to play correctly. [David Haywood]
- 9643: nes.xml: Changed tysonipp to use per-chip ROM dumps. [kmg]
- 9645: cpu/z80.cpp: Removed leaky abstraction from CPU core. [holub]
- 9646: neogeo.xml: Fixed copy/paste error in garouha serial number. [CanoeHope]
- 9647: bus/nes: Improved emulation of Camerica/Codemasters cartridge boards. [kmg]
- 9648: Added FIXME comments to badly behaved I²C target devices. [Paul-Arnold]
- 9649: tim011.cpp: Hooked up floppy drives properly and added floppy disk image format. [Miodrag Milanović]
- 9652: 4enlinea.cpp: Fixed game name for “unkdarts”. [ClawGrip]
- 9653: ksys573.cpp: Fixed alpha channel values in fightmn/pnchmn layout. [Windy Fairy]
- 9654: neogeo.xml: Fixed copy/paste error in kof2002 AES serial number. [CanoeHope]
- 9655: nes.xml: Explicitly set mirroring for more boards, and trimmed over-dumped ROMs. [kmg]
- 9658: nes.xml: Removed four bad dumps. [kmg]
- 9662: Fixed nl sub-target build. [Couriersud]
- 9666: famibox.xml: Updated comment about unverified dumps. [kmg]
- 9668: system1.cpp: Added lives and demo sounds DIP switches for shtngmst, and demo sounds DIP switch for ufosensi (MT08303). [kmg]
- 9670: spec128.cpp: Completed bus contention emulation for Spectrum 128 and +2 models, and improved emulation performance. [holub]
- 9671: ksys573.cpp: Removed comment about Dance Dance Revolution Kids, as it’s on a different platform. [simzy]
- 9675: 3rdparty/asmjit: Suppressed warnings with old versions of GCC. [Couriersud]
- 9676: osd/sdl: Prefer X11 video driver on Linux. [Belegdol]
- 9677: megadriv.xml: Added an Awesome Possum prototype. [DrBizz, kmg]
- 9679: nes.xml: Added eleven items, and removed some bad dump flags. [kmg]
- 9680: gba.xml: Added World Reborn (USA). [No-Intro, kmg]
- 9681: gbcolor.xml: Added Tyrannosaurus Tex (USA). [No-Intro, kmg]
- 9682: Fixed fallout from I²C changes. [Paul-Arnold]
- 9683: neogeo.xml: Fixed serial number for wh2h. [Abadede]
- 9684: netlist: Added an FAQ and cleaned up code. [Couriersud]
- 9686: bus/nes: Updated code and ROM dump for mc_mario. [kmg]
- 9687: vegas.cpp: Fixed reversed test mode DIP switch setting labels for sf2049te and sf2049se. [neSneSgB]
- 9688: megadriv.xml: Added compatibility information for region-locked items. [Chris Vowles]
- 9692: ibm5150.xml: Correctly marked some items as bootable PC disks or DOS software. [Allofich]
- 9694: machine/6850aica.cpp: Initialize receiver state on construction. [Miodrag Milanović]
- 9699: cps2.cpp: Added TOURNAMENT board communication simulation. [Vas Crabb, Darksoft, Gregory Lewandowski]
- 9701: megadriv.xml: Added missing SRAM to nbaliv98 (fixes MT07564). [kmg]
- 9705: gameboy.xml: Added four homebrew cartridges. [kmg]
- 9706: netlist: Replaced more macros with C++ constructs, and cleaned up code. [Couriersud]
- 9707: machine/netlist.cpp: Use templates to enable or disable CSV logging, reducing the chance of code rot. [Couriersud]
- 9708: netlist: Updated standalone makefile for more recent compilers, and cleaned up code. [Couriersud]
- 9709: Improved Japanese titles in various software lists. [kmg]
- 9710: ksys573.cpp: Improved game titles in comments and system descriptions. [simzy]
- 9711: ZX Spectrum drivers: Improved timing for screen and border updates, and simplified calculations. [holub]
- 9714: homedata.cpp: Added subtitle to description for reikaids. [Michael Sanborn]
- 9715: pc98_cd.xml: Added twenty items, and replaced eighteen items with better dumps. [redump.corg, cyo.the.vile, coolmod, r09]
- 9716: Added a working RC2014 card system. [Miodrag Milanović]
- 9718: cpu/mips: Added TimerIntDis multiplexer to IPEX5 for R4000. [Brice Onken]
- 9719: megadriv.xml: Trimmed pcottonp dump by half. [kmg]
- 9721: bus/ata/ata_hle.cpp: Fixed save state support for 8-bit mode. [Miodrag Milanović]
- 9722: rf51w14cg.cpp: Fixed checked-in CRLF line endings. [Couriersud]
- 9723: spectrum_cass.xml: Added nine items and cleaned up metadata. [ArcadeShadow]
- 9725: midwayic.cpp: Use logmacro.h for debug logging. [Ted Green]
- 9726: emu/diexec.cpp: Optionally resynchronize to the implicit clock domain on input clock frequency changes. [O. Galibert]
- 9727: Added a time command to the debugger for displaying the current elapsed session time. [Ted Green]
- 9728: specpls3_flop.xml, spectrum_cass.xml, timex_cass.xml: Reorganised items and added a few items. [ICEknight]
- 9730: atari400.cpp: Added 2-port version of Atari 5200, and fixed ANTIC memory size. [einstein95]
- 9731: netlist: Fix standalone nltool build with NVCC. [Couriersud]
- 9734: a2600.xml: Removed “Atari VCS Point-of-Purchase ROM” as it’s treated as a separate system. [einstein95]
- 9735: Added documentation for debugger time command. [Ted Green]
- 9737: c64_cass.xml: Added eight working items and two non-working items. [The Ultimate Tape Archive Team, Steven Coomber]
- 9740: vigilant.cpp: Corrected video timings. [jotego]
- 9741: vigilant.cpp: Changed comments to better match MAME style. [jotego]
- 9742: emu/dinetwork.cpp: Add MTU parameter, and removed unnecessary floating point calculations. [Ted Green]
- 9744: Add UDP multicast support to bitbanger device. [Ted Green]
- 9745: video/powervr2.cpp: Hooked up non-textured sprites, and fixed enable alpha bit handling. [Jennifer Taylor]
- 9747: machine/intelfsh.cpp: Fixed address mask for SST 39SF040. [Miodrag Milanović]
- 9748: slapfght.cpp: Hooked up flip screen output to MCU for alcon and slapfigh. [Vas Crabb]
- 9749: Reverted bitbanger UDP multicast support (GitHub #9744). [Vas Crabb]
- 9752: netlist: Improved platform support for PPMF and added unit tests (partially addresses GitHub #8590). [Couriersud]
- 9754: gbcolor.xml: Added Green Beret prototypes developed by Kak. [ICEknight]
- 9756: bus/vcs_ctrl: Fixed swapped paddle buttons (GitHub #9755). [kmg]
- 9758: dc.xml: Cleaned up metadata. [ArcadeShadow]
- 9759: Added additional RC2014 cards, and added system with CP/M upgrade. [Miodrag Milanović]
- 9763: snes.xml: Added seven items. [No-Into, kmg]
- 9764: Standardized titles of Mashin Eiyuuden Wataru games in all software lists. [kmg]
- 9766: nemesis.cpp: Changed coin inputs to use impulses in salamand and clones (MT08315). [kmg]
- 9767: Improved parsing of dotted version numbers in build scripts. [sairuk]
- 9768: Improved reset behaviour of RC2014 cards and fixed some implementation issues. [Miodrag Milanović]
- 9769: bfcobra.cpp: Fixed µPD7759 connections for brkball (confirmed with schematics). [Paul-Arnold]
- 9770: emu/emuopts.cpp: Fixed slot card selection being lost when card BIOS setting is changed. [Miodrag Milanović]
- 9771: cdi.xml: Added The Photo CD Book Companion CD-ROM. [David Silva]
- 9772: sound/upd7759.cpp: Fixed issues with switching between standalone and slave mode. [Wilbert Pol]
- 9773: netlist: Improved PPMF platform support and code generation; made plib::hash use fixed result size. [Couriersud]
- 9775: badlands_ms.cpp: Added missing PROMs. [ClawGrip]
- 9776: gsz80.cpp: Removed vestigial rc2014mini ROM definition. [Chris Swan]
- 9779: spdheat.cpp: Marked as having imperfect sound emulation due to missing filters and multi-channel output. [einstein95]
- 9781: 3rdparty/portmidi: Fixed Windows MIDI callback signatures (addresses GitHub #9200). [Devin Acker]
- 9783: ui/viewgfx.cpp: Added ability to restrict tiles to integer scale factors. [Vas Crabb]
- 9785: megadriv.xml: Added eight items. [No-Intro, kmg]
- 9786: fmtowns_cd.xml: Added seven new working items. [redump.org, r09]
- 9792: gamegear.xml: Added a ROM patch to make brkthru playable. [kmg]
- 9793: cpu/nec: Added support for EXT reg,imm4 and INS reg,imm4 instructions. [Wilbert Pol]
- 9794: netlist: Replaced more macros/helpers with C++ constructs, and added support for the cspell spelling checker. [Couriersud]
- 9796: Removed superfluous semicolons from various source files. [kmg]
- 9798: Corrected various Wonder Boy game title descriptions (MT08321). [kmg]
- 9812: bgfx: Honour texture wrap flag (fixes reel display for some fruit machines). [Vas Crabb]


Source changes
--------------
-osd/modules/input: Detect joystick reconnection with SDL. (#9605) [Vas Crabb]
 * Also improved display name scheme for joystick axes and buttons.

New machines marked as NOT_WORKING
----------------------------------
Unknown Poker W [TeamEurope, Roberto Fresca]
Dallas Poker [TeamEurope, Roberto Fresca]

-misc: consistency changes to some company/title strings [hap]

-exl100: the amateur lawyers didn't like the license. [Robbbert]

-nes.xml: Fixed a few more mirroring issues. Demoted strikwlf. (#9617) [0kmg]

-mjtensin, mjvegas, mjvegasa: Fix memory_bank::set_entry exception in debug build [AJR]

-Changed floppy_image_device::identify() to take std::string_view instead of std::string (#9616) [npwoods]

-Fixed (i think) hp2641, jaguarcd, psr60/70, racingj etc [Robbbert]

-att630.cpp: Add more expansion RAM for att730x; slight code cleanup [AJR]

New working software list additions (apple2_flop_orig.xml) (#9621)
------------------------------------------------------------------
Drugs: Their Effects on You [Matthew Eric D'Asaro, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Drugs: Their Effects on You (cleanly cracked) [4am, Matthew Eric D'Asaro, Firehawke]

-bus/nes: Minor fixes and simplifications for several bootlegs. (#9618) [0kmg]

-Add logic to the CoCo RS-DOS FS module to catch cycles in file granule (block) lists (#9615) [npwoods]

-upd7759.cpp: Add support for mode switching. (#9614) [wilbertpol]

-osborne1.cpp: revert floppy device back to SSDD (#9625) [theoldsport]
 * Partially reverts an old commit from @Robbbert (https://github.com/mamedev/mame/commit/247939853301565efd348cad12b04fc957707bc2)
    where the floppy device was (mistakenly?) set to FLOPPY_525_QD (quad density) from FLOPPY_525_SSDD (single-sided
    double-density).
 * As far as I am aware, the Osborne1 only supported SSSD and SSDD disks. Revert appears to resolve known Osborne1 issues
    [5792](https://mametesters.org/view.php?id=5792) (thanks to @Osso13 for pointing this out) and
    [8100](https://mametesters.org/view.php?id=8100) @cuavas.

-spectrum_cass.xml: Added one game and a couple of demos (#9622) [ICEknigh7]
 * spectrum_cass.xml: Added one game and a couple of demos
   - Just noticed that the only way to play the Spectrum version of Inspector Gadget was through its Russian bootleg arcade game
      "Brodjaga", so I added its only official release (was cancelled in the UK but released in Spain).
   - Also added a couple of demos that I found laying around in a very old backup, and which aren't already included in any cover
      tapes:
     * LSD Megademo
     * The Ren and Stimpy Slideshow (a kind of lame slideshow of a few black and white pics, but with a decent presentation)

-68340tmu.cpp: fix potential crash on mode logging [Angelo Salese]

-cpu/z80: Improved timing within instructions. (#9449) [holub]
 * This allows improved emulation of bus contention in the ZX Spectrum family.
 * Also updated Z80 timings for MSX, Amstrad CPC, and Sega System 1/System 2.

-mips3drc: Moved unchanging conditionals outside for loop in generate_checksum_block; 7% faster. [Ryan Holtz] (#9626) [MooglyGuy]

New machines marked as NOT_WORKING
----------------------------------
Kajot Card (Version 1.01, Wien Euro) [TeamEurope, Roberto Fresca]

-Lucky 7 (Impera): Added ASCII PCB layout [TeamEurope]

-unknown Poker 'TE06': Added ASCII PCB layout [TeamEurope]

-Puzzle Me!: Added ASCII PCB layout [TeamEurope]

-Magic Card driver: Added technical notes and moved the PCB layouts to the ROM load zone for consistency. [Roberto Fresca]

New clones marked as NOT_WORKING
--------------------------------
Magic Card Export 94 (set 2) [Ioannis Bampoulas, Roberto Fresca]

New clones marked as NOT_WORKING
--------------------------------
Magic Card Export 94 (v2.9a) [Ioannis Bampoulas, Roberto Fresca]

New clones marked as NOT_WORKING
--------------------------------
Magic Card Export (v4.01) [Ioannis Bampoulas, Roberto Fresca]

-Removed unwelcome fixes. [Robbbert]

-jaguarcd: fix nodisc crash again [hap]

-Addressed performance loss from recent z80scc changes (#9629) [Ryan Holtz]
 * z80scc: Removed unused Z80SCC_USE_LOCAL_BRG and simplified WR15_ZEROCOUNT usage to reduce the likelihood of needless timer
    activation.
 * mips3drc: Additional micro-optimizations to generate_checksum_block.

-cat702: init 2 more variables [hap]

-tests [Olivier Galibert]

-debug [Olivier Galibert]

-Init cleanups and gnet fix [Olivier Galibert]

-brkthru.cpp, gunsmoke.cpp, bfm_adr2.cpp: used finders and other small cleanups [Ivan Vangelista]

-vicdual.cpp: corrected one PROM for headonn [MASH]

-Revert "debug" [hap]
 * This reverts commit 3a65661f2f7d0e3ebbfa2a707f8c5a5fadffcb77.

-Revert "tests" [hap]
 * This reverts commit 922eb1b23c0e3bd36cf4974e13e61aa12fc32764.

-Fixed Channel Three colors/bitplanes. [Roberto Fresca]

-swtpc8212: fixed crash on exit if you adjust a dipswitch. Validation should mark switch 0 as invalid but doesn't. [Robbbert]

-iwm: Do a complete clock change on sync write for better flux change time precision iwm: Increate the flux write buffer size for
 better performance (complete sector write in a single call) 2gs: Correct the q3 clock value, making (sync) writes reliable
 [Olivier Galibert]

-swtpc09: marked all variants as MNW, regressed in 2015. [Robbbert]

-pcmx2: fixed crash while in dipswitch menu [Robbbert]

-i2cmem.cpp and derived devices: Only acknowledge correct I2C device-id. (#9630) [Paul-Arnold]
 * Updated machine/acorn_bmu.cpp, machine/i2cmem.cpp, machine/pcf8573.cpp and machine/machine/pcf8583.cpp.
 * Check device ID and only acknowledge device’s own ID.
 * Release SDA line to be pulled up when idle.
 * aa310.cpp: Combine SDA lines with logical AND.

-appoooh.cpp: finders and other small cleanups [Ivan Vangelista]

-royalmah.cpp: corrected year for ichiban [Ivan Vangelista]

-spectrum48: fix floating int (#9637) [holub]

-Channel Three: Added bruteforced and converted PLDs [TeamEurope, Gerald (COY), Porchy, Roberto fresca]

-xavix2.cpp: Fix scaling of background in ltv_naru. (#9633) [qeeg]

-MT08308: mk98: [debug] Assertion failed [Robbbert]
 * Fixed buffer overflow
 * Used array instead of writing to rom region.

-usgames.cpp: fixed MT08306 [Ivan Vangelista]

-MT08304: apxen: [debug] Assertion failed [Robbbert]

-nes.xml: Changed tysonipp to use per-chip ROM dumps. (#9643) [0kmg]

-x68k_crtc.cpp: Fix screen assert in debug build [AJR]

-bus/nes: Updated Jaleco boards. (#9628) [0kmg]
 * JF-13: fixed simultaneous samples playing at boot of Moero Pro Yakyuu.
 * JF-16, discrete 74x161: set hardware-valid one-screen mirroring mode at reset.
 * JF-17/19: Streamlined by putting common details in base class. Fixed latches which switch banks on low to high transition.
    Demoted moejudo since it's not playable.
 * SS88006 boards: Also streamlined everything into common base class. Parameterized common code patterns. Added WRAM enable bits.
 * nes.xml: Corrected ROM sizes of undumped uPD775xC chips.

New machines marked as NOT_WORKING
----------------------------------
Pong Boo! 2 [buffi]

New working clones
------------------
Thunder Dragon (bootleg with Raiden sounds, unencrypted) [f205v]

-vigilant.cpp: Fixed sound in bowmen by allowing it to see the area of ROM with music data. (#9642) [David Haywood]

-spcpokan: fix out-of-bounds access on POST VROM test. (MT #8307) [R. Belmont]

-neogeo.xml: Fix garouha serial (#9646) [CanoeHope]

-z80: remove undesired state var in cpu implementation (#9645) [holub]

-Added FIXME comments to badly behaved I2C target devices, (#9648) [Paul-Arnold]
 * I2C slaves should only ACK their own device-id and NAK all others.
 * SDA output should only change state while clock is low.
 * Idle state of SDA must be high.

New working clones
------------------
Knights of Valour 2 / Sanguo Zhan Ji 2 / Sangoku Senki 2 (ver. 102, 102, 100HK) [buffi]

-Micscellaneous cleanup/fixes: [Vas Crabb]
 * machine/z80scc.cpp: Fixed a cast-to-bool that broke detection of changes to one register bit.
 * formats/fsmeta.cpp: Use visitors with variants where it makes sense.
 * docs: Updated minimum required SDL version to 2.0.6 for all targets, added note that Python 3 is included with Xcode and updated
    instructions for downloading stand-alone Python 3 for macOS.
 * ksys573.cpp: Don't create an insane number of textures for fghtmn and pnchman internal artwork.
 * Tidied another batch of slot machine layouts.

-ksys573.exe: Fixed fightmn/pnchmn layout's alpha channel values. (#9653) [987123879113]

-nes.xml: Various cleanups. (#9655) [0kmg]
 * Explicitly set mirroring for hardwired boards (mostly NROM, CNROM, UNROM). Graphics glitches fixed in sets: conquer, dancekar,
    goldktvp, machridrp, mc_8lm, phantom, rockmanr, seadream.
 * Trimmed smaruo's overdumped graphics ROM.

-4enlinea.cpp: Fix game name for 'unkdarts' (#9652) [ClawGrip]
 * 4enlinea.cpp: Fix game name for 'unkdarts'
 * Rename 'unkdarts' as 'dardos'

-snookr10.cpp: Realigned the ASCII diagram about encryption, messed up some time ago for some bulk changes. [Roberto Fresca]

-snookr10.cpp: More ASCII diagrams realigned and cleanups. [Roberto Fresca]

-neogeo.xml: Fix kof2002 AES serial (#9654) [CanoeHope]

-MT 03729 gmgalax wrong colours [Robbbert]

-nes.xml: Removed four bad dumps. (#9658) [0kmg]
 * ntf2tc1 and modaosyma were overdumps with doubled PRG ROM of their parent sets.
 * dreamfgtasd was a multcart extract with extra CHR data from three other games.
 * Half of musicboxa's CHR was an overdump that matched half its PRG dump.

-bus/nes: Updates for Camerica/Codemasters boards. (#9647) [0kmg]
 * BF9096: Added alternate paging required by certain dumps. Fixes menu items that didn't load or were crisscrossed.
 * Golden Five: Corrected reset/game lock behavior according to reverse engineered hardware info.

-spec128.cpp, specpls3.cpp: Added initial bus contention emulation for Spectrum 128+ models [holub]

-wildfire: remove unused base class since there's only 1 game [hap]

-rename hh_amis2k driver to wildfire [hap]

New working clones
------------------
Batsugun (bootleg) [buffi]

New clones marked as NOT_WORKING
--------------------------------
PR-100 Digital Sequencer (v2.01) [Foone Turing]

New working clones
------------------
Moon Cresta (Electrogame S.A. Spanish bootleg, set 2) [Victor Fernandez (City Game), ClawGrip]

-Fixed SUBTARGET=nl build. (#9662) [couriersud]

-tim011.cpp: Hooked up floppy drives properly. (#9649) [Miodrag Milanović]
 * Hooked up floppy drives and controller properly, and implemented video display.
 * formats/tim011_dsk.cpp: Added TIM 011 floppy image format.

-machine/upd765.cpp: If waiting for additional command bytes, treat a data register read as an open bus write (tested on real
 hardware) and always trigger the DRQ line even if in nodma mode. [Carl [Miodrag Milanović]

-cpu/z180: Added callbacks for tend; decrement bcr1 when DMA channel 1 is active. [Carl]

-famibox.xml: Updated comment about unverified dumps. (#9666) [0kmg]

-megatech: fix crash in service mode [hap]

New working machines
--------------------
Scrabble Lexor - Computer Word Game [hap, Sean Riddle]

-ksys573.cpp: Removed DDR Kids from file header comment. (#9671) [simzy39]
 * This game dumped and runs on Konami GSAN1 hardware.

-system1.cpp: Identified DIP swithces for shtngmst and ufosensi. (#9668) [0kmg]
 * shtngmst: Labelled lives and demo sounds DIP switches.
 * ufosensi: Labelled demo sounds DIP switch (MT08303).

New machines marked as NOT_WORKING
----------------------------------
Neo Print - Popeye (Japan) (T4i 3.04) [buffi]
Neo Print - European Version (World) (T4i 2.00) [buffi]
Rally Point 2 [coolmod]

-toaplan2.cpp: added a note about a different ROM configuration found for sstrikerk [buffi]

-spcforce, meteors: Modernize interrupt handling and fix freeze on soft reset [AJR]

-tv912b, tv912c: Driver updates [AJR]
 * Add Break key and allow system to transmit break when it is pressed
 * Add special input (not a keyboard key) to trigger Self Test Mode
 * Add support for blank attribute
 * Remove imperfect graphics flag
 * Remove some dead test code

-h8500: Disassembler updates [AJR]
 * Add some spaces between instruction operands
 * Render just the first byte of any illegal instruction

-gbcolor.xml: Added one dump. (#9681) [0kmg]

New working software list additions
-----------------------------------
Tyrannosaurus Tex (USA) [NoIntro]

-gba.xml: Added one dump. (#9680) [0kmg]

New working software list additions
-----------------------------------
World Reborn (USA) [NoIntro]

-nes.xml: Added eleven dumps. Removed some baddump flags. (#9679) [0kmg]

New working software list additions
-----------------------------------
Baby Boomer (Korea) [MLX]
Exploding Fist (USA) [anonymous]
Get'em Gary [anonymous]
More Glider [anonymous]
Multidude [RetroSouls]
Nomolos - Storming the Catsle (v1.00) [anonymous]
Quest Forge - By Order of Kings [anonymous]
Super Painter [RetroSouls]
Tújí (Taiwan) [kazblox]
Uninvited (USA, prototype) [Forest of Illusion, Clarkzer0]
Wùkōng Dòujù (China) [anonymous]

-Prefer the X11 SDL video driver on Linux (#9676) [Julian Sikorski]

-firetrap.cpp: used finders, templates and other small cleanups [Ivan Vangelista]

-mb88dasm: uppercase mnemonics, remove opcode explanations from dasm [hap]

-scrablex: simplify write_r code [hap]

-emuopts.cpp: Fix typo in comment [AJR]

-Fixed fallout from I2C changes. (#9682) [Paul-Arnold]
 * spg2xx_jakks_gkr.cpp: Changed 24C04 to 24C16 for systems with EEPROM.
 * xavix.cpp: Changed tomcpin EEPROM from 24C04 to 24C08.
 * xavix_2000.cpp: Changed epo_bowl EEPROM from 24C02 to 24C04, and drgqst EEPROM from 24C02 to 24C08.
 * xavix_2002.cpp: Changed EEPROM from 24C04 to 24C08 for xavbaseb and xavbassf.
 * 4enlinea.cpp: Added note about unknown I2C device accessed by k7_olym.

-Suppress compile warnings in asmjit with GCC 7. (#9675) [couriersud]

-misc drivers: small cleanup to class var init [hap]

-mb88xx: mask ram r/w and read_r to 4-bit [hap]

New working machines
--------------------
Hot Chilli (95103, v0104) [Roberto Fresca, Grull Osgo, Matt B]

-i8214: Back out previous changes to device emulation in e38360692285e7fa0e0574b8b00585536b696949 except as a system-specific hack
 [AJR]

-megadriv.xml: Added an Awesome Possum prototype. (#9677) [0kmg]

New working software list additions (megadriv.xml)
--------------------------------------------------
Awesome Possum Kicks Dr. Machino's Butt! (USA, prototype, 19930712) [DrBizz]

-neogeo.xml: Fixed wh2h serial. (#9683) [Abadede]

-bus/nes: Updated code and dump for mc_mario. (#9686) [0kmg]
 * Switched mc_mario to use BMC-GOLD-7IN1 board and removed emulation for variant BMC-MARIOPARTY-7IN1. Replaced its CHR ROM with
    bank swapped dump.
 * BMC-GOLD-7IN1: Fixed crash when carts with no WRAM are loaded.

-hotchili.cpp: fix clang compile [Angelo Salese]

-Update megadriv software list to add optional region protection information (#9688) [Chris Vowles]
 * Update megadriv software list to add region info to roms where they are region locked or have other region issues

-New disassemblers for unidasm: hp2100, hp21mx, v620, v75 [AJR]

-hotchili.cpp: Fixes some oddities. Still remaining tag lookup and banking. [Roberto Fresca]

-spectrum128/2A/3: Improved contention timing emulation (#9670) [holub]

-acia6850: initialize receive section (#9694) [Miodrag Milanović]

-ibm5150.xml: PC Booter corrections (#9692) [Allofich]
 * Move some non-PC Booter games to the DOS-based games section and remove the PC Booter usage line from them if they have it.
 * Give the PC Booter usage line to some games that are missing it.

-Netlist lint, first version of a FAQ and small code changes. (#9684) [couriersud]
 * Added a first version of a FAQ.
 * Use better error messages in pfunction.
 * Made member functions static where appropriate in nld_solver.

New working clones
------------------
Batsugun (older, set 2) [buffi]
Dogyuun (oldest set) [buffi]

-pacland.cpp: used finders and other small cleanups [Ivan Vangelista]

New working clones
------------------
Kasparov Corona (ver. C, set 1) [anonymous]

-megadriv.xml: Added missing SRAM to nbaliv98 (MT07564). (#9701) [0kmg]

-pacland: fix tilemap array out of bounds [hap]

-apple2.cpp,apple2e.cpp: fix uninitialized class members causing joystick weirdness. [R. Belmont]

-cps2.cpp: Added TOURNAMENT board communication simulation. (#9699) [Vas Crabb, Darksoft, Gregory Lewandowski]

-ti99: Increased number of banks for gromemu cartridge type; more informative log output. [Michael Zapf]

-ti99: Take care for cartridge dumps that do not fill the 8K window. [Michael Zapf]

-Various software list kana metadata cleanups. (#9709) [0kmg]
 * Replaced halfwidth characters (including middle dot) with fullwidth ones.
 * Fixed a few alt titles.

-tms9995: Byte write to the decrementer fills the other byte with the same value. [Michael Zapf]

-v620dasm.cpp: Add comment [AJR]

-atetris.cpp, tnzs.cpp: added hardware infos [Guru]

-segas16b.cpp, seta2.cpp, williams.cpp: minor spelling fixes [Ivan Vangelista]

-netlist: more c++, less macros (#9706) [couriersud]
 * Reduce the use of macros by converting defines into c++ constants.
 * more minor code clean up.

-homedata.cpp - Add subtitle to reikaids (#9714) [Michael Sanborn]

-pc98_cd.xml: 19 new dumps, 18 replacements (#9715) [r09]

New working software list additions
-----------------------------------
Brandish 2 Renewal [redump.org]
Canaan - Yakusoku no Chi [redump.org]
Doom II for Windows 95 [redump.org]
Ningen Konchuu - Nozoki [redump.org]
Shin'ou Densetsu Crystania DX [redump.org]
Uki Uki Island [redump.org]
X Girl [redump.org, cyo.the.vile]

New not working software list additions
---------------------------------------
Ayumi-chan Monogatari [redump.org]
Collector D [redump.org, cyo.the.vile]
Etemible - Tenjou Mukyuu [redump.org, Coolmod]
Ginga Eiyuu Densetsu IV [redump.org]
Master of Magic [redump.org]
NEC Demonstration CD-ROM - Evolution and Dinosaurs [redump.org]
Prince of Persia 2 - The Shadow & The Flame [redump.org]
Sorcer Kingdom [redump.org]
Strike Commander [redump.org]
Teitoku no Ketsudan III [redump.org]
Ultima VIII - Pagan [redump.org]
Yumemizaka [redump.org]

Replaced software list items
----------------------------
Akumu - Aoi Kajitsu no Sanka [redump.org]
Appare-den - Fukuryuu no Shou [redump.org, Coolmod]
Ayumi-chan Monogatari Jissha-ban [redump.org]
Brandish Campaign-ban [redump.org]
Brandish 2 - The Planet Buster - Campaign-ban [redump.org]
Brandish 3 - Spirit of Balcan - Campaign-ban [redump.org]
Buzz Aldrin's Race into Space - Uchuu e no Chousen [redump.org]
CRW 2 [redump.org]
Dawn Patrol - Yoake no Pilot [redump.org]
Guardian Recall - Shugojuu Shoukan [redump.org, cyo.the.vile]
Mahou Shoujo Pretty Samy - Kouhen [redump.org]
Manji PSYyuuki [redump.org, r09]
Magical Squadron [redump.org]
RAM 1 - New Evolution Organize [redump.org]
Ribbon [redump.org]
Ryouki no Ori (1996-09-23) [redump.org]
Sangokushi V [redump.org]
Zai Metajo [redump.org]

-ksys573.cpp: Notes/typos + note changes for DDR Karaoke (#9710) [simzy39]
 * The bottom of the driver says '"Dance Dance Revolution Karaoke Mix (GQ921 VER. JBB)"' which is hard to deduce as being 'DAM-DDR
    Dance Dance Revolution for DAM' at the top of the driver. As such, I've changed it to: "Dance Dance Revolution Karaoke MIX
    (DAM-DDR)" and "Dance Dance Revolution Karaoke MIX 2nd (DAM-DDR)" based on what I've found on the internet. This name appears to
    be accurate, at least for the system. The game disc itself doesn't contain the name DAM. A few sources:
    https://remywiki.com/AC_DDR_Karaoke https://bcaweb.bai.ne.jp/miyooo/ddrd.html
 * : In the list, there is a 'P' next to these names, denoting 'plain System573', but according to my first source: DDR KAraoke
    "...uses a modified System 573, equipped with four video input/output and a DAM karaoke device." As such I've changed the P to
    'K' and have changed Kick and Kick's letter, which was a K, to AA since it's a similar board to the A. A: uses ext. analog I/O
    board GX700-PWB(F) AA: uses alt. ext. analog I/O board GX700-PWB(K) K: uses karaoke I/O board GX921-PWB(B)
 * 'DDR max' and 'DDR max 2' to 'DDRMAX' and 'DDRMAX2'

New working machines
--------------------
Mahjong The Mysterious Orient Returns [BET] (Japan, v1.00) [buffi]

-Fixed 2 compile errors. [Robbbert]

-Z88: added serial port and NVRAM support. [Sandro Ronco]

-ata_hle: Fix save state for 8-bit mode (#9721) [Miodrag Milanović]

-ddenlovr.cpp: actually commit the dynax.h changes this time [Ivan Vangelista]

-commando.cpp: added hardware info [Guru]

-netlist: standalone makefile and prototype modifications (#9708) [couriersud]
 * update netlist makefile to more recent compilers
 * prototypes for NETLISTs in macros are now created create_devinc.py
 * apply ctidy recommendations
 * Python None in create_device.py

-seattle.cpp: Update carnevil dipswitch settings [Ted Green]

-iteagle.cpp: Adjust processor clock.  Gives proper 1ms ostick now. iteagle_fpga.cpp: Add default console terminal serial port
 settings. vegas.cpp: Mask logging of sio_r. [Ted Green]

-machine/netlist.cpp: Use templates to compile with NETLIST_CREATE_CSV=1. (#9707) [couriersud]

-Revert "seattle.cpp: Update carnevil dipswitch settings" [Ted Green]
 * This reverts commit ac0d4591934d66916cdc8bcd0d5473eefd7c936d.

-seattle.cpp: Update carnevil unused dip switches based on the operator manual and verified via the service menu. [Ted Green]

-rf51w14cg.cpp: Fixed checked-in Windows line endings. (#9722) [couriersud]

-vegas.cpp: Fix reversed DIP switch names for sf2049te, sf2049se (#9687) [neSneSgB]
 * The disk-based test was booting to the EPROM-based test and vice versa. For both games, the DIP switch meanings in the
    EPROM-based test and in the disk-based test are not the same; they contradict each other.

-Add time command to MAME debugger.  Returns current machine time. (#9727) [tedgreen99]

-reactmd: added player 1 controls. [Robbbert]

-nmk16.cpp: added hardware info and corrected ROM labels for Acrobat Mission [Guru]

-paradise.cpp: used finders, templates and other small cleanups [Ivan Vangelista]

-Hot Chilli: Reworked, improved and simplify inputs, banking and interrupts. Also switched to screen raw parameters and cleaned up
 the driver. [Roberto Fresca]

-gollygho: use generic output strings (!!NOTE!! update ext. artwork file) [hap]

-machine/midwayic.cpp: Use logmacro.h helpers for debug logging. (#9725) [tedgreen99]

-RC2014 (#9716) [Miodrag Milanović]

New working machines
--------------------
RC2014 Classic [Miodrag Milanovic]
RC2014 Pro [Miodrag Milanovic]
RC2014 Classic II [Miodrag Milanovic]
RC2014 Zed [Miodrag Milanovic]
RC2014 Zed Pro [Miodrag Milanovic]

-a2600.xml: Remove "Atari VCS Point-of-Purchase ROM" (nw) (#9734) [eientei95]
 * This has its own driver in a2600.cpp

New working clones
------------------
Space Invaders' gambling game (unencrypted) [Jorge Silva]

-c64_cass.xml: Added 10 items (8 working, 2 not working) (#9737) [Steven Coomber]

New working software list additions
-----------------------------------
Salamander (Imagine) [C64 Ultimate Tape Archive V2.0]
Sanxion (Thalamus) [C64 Ultimate Tape Archive V2.0]
Savage (Firebird) [C64 Ultimate Tape Archive V2.0]
Scorpion (Prism Leisure) [C64 Ultimate Tape Archive V2.0]
The Secret Diary of Adrian Mole (Mosaic Publishing) [C64 Ultimate Tape Archive V2.0]
Sentinel (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
The Sentinel (Firebird) [C64 Ultimate Tape Archive V2.0]
Shadow Skimmer (The Edge) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Scooby-Doo (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Shadows of Mordor (Melbourne House) [C64 Ultimate Tape Archive V2.0]

-Add debugger time command to docs (#9735) [tedgreen99]

-8080bw.cpp: Added color video output emulation to vortex. (#9311) [Mike Coates]

-gameboy.xml: Added four homebrew entries. (#9705) [0kmg]

New working software list additions (gameboy.xml)
-------------------------------------------------
Dangan GB [snorpung, nordloef]
Death Planet [Mackerel Interactive]
Into the Blue [Jonas Fischbach]
Retroid [Jonas Fischbach]

-netlist: Fixed standalone nltool building with nvcc. (#9731) [couriersud]
 * nvcc 11.3 (latest cuda tools) has an issue with some auto x(some variable) declarations.

-Vigilante correct video timings (#9740) [Jose Tejada]

-spectrum_cass.xml: 9 new entries + metadata cleaning (#9723) [ArcadeShadow]

New working software list additions (spectrum_cass.xml)
-------------------------------------------------------
Bomb Jack (Z Cobra) [worldofspectrum.org]
Bomb Jack II (MCM) [worldofspectrum.org]
Bomb Jack II (Zafi Chip) [worldofspectrum.org]
Chess Nuts [Steven Brown, Planeta Sinclair]
Coin-It [Steven Brown, Planeta Sinclair]
Exolon (bug fix) [spectrumcomputing.co.uk]
Exolon (Erbe) [spectrumcomputing.co.uk]
Horacio Esquiador [spectrumcomputing.co.uk]
Smash TV (Erbe) [spectrumcomputing.co.uk]

-megadriv.xml: Trimmed pcottonp dump by half. (#9719) [0kmg]

-Initial GCC 12 support for Fedora 36. [R. Belmont]

-mips3: Fixed error flagged by GCC 12 [Ryan Holtz, R. Belmont]

-unidasm: Option-related changes [AJR]
 * Eliminate -mode option that has done nothing for years
 * Allow -basepc address and -skip count to be specified in octal

-inder_vid.cpp: Correct visible dimensions of screen [AJR]

-nemesis.cpp: Correct dot clock [AJR]

-4enlinea.cpp, amstr_pc.cpp, amstrad.cpp: Remove some unused definitions [AJR]

-vigilant.cpp, shisen.cpp: Cleanups & modernization [AJR]
 * Replace legacy interrupt generators with vertical blank and scanline timer callbacks
 * Add presumed raw timing parameters for all games, based on known XTAL values
 * Correct maincpu XTAL value for Buccaneers

-seicross.cpp: Add raw timing parameters for screen [AJR]

-avalnche: Change periodic interrupt to scanline interrupt; add watchdog timeout [AJR]

-cheekyms: Add screen raw parameters; modernize VBLANK interrupt [AJR]

-toratora: Use raw timing parameters for screen [AJR]

-beezer: Replace bankdev with memory view; use raw timing parameters for screen [AJR]

-n8080.cpp: Use raw timing parameters for screen [AJR]

-dribling: Use raw timing parameters for screen [AJR]

-tek440x: Add SCSI controller [AJR]

-stv.cpp: dumped I/O board ROM for yattrmnp [nnap]

-rbmk.cpp: dips are read correctly now [Ivan Vangelista]

-Deletes in-line credits, to keep with MAME general style. Advised by hap (#9741) [Jose Tejada]

-redclash.cpp: Add raw parameters for screen and addressable latch devices [AJR]

-Fix address mask for SST 39SF040 (#9747) [Miodrag Milanović]

-epg3231: Add key strobe output mode [AJR]

-dinetwork: Add mtu paramter and remove unnecessary floating point calculations (#9742) [tedgreen99]

-bitbanger: Add udp multicast support (#9744) [tedgreen99]
 * Example usage: -bitb udp.234.99.99.99:15122

-[powervr2.cpp] Naomi Rendering Fixes (#9745) [Jennifer Taylor]
 * Allow rendering non-textured sprites (filled boxes), causes spritetest to render properly.
 * Fix alpha blending for textures to key off of the right value.
 * Some code cleanup.

-Revert "bitbanger: Add udp multicast support (#9744)" (#9749) [Vas Crabb]
 * This reverts commit 5052eb307a959644677037be52b9a168a68775dd.

-atari400.cpp: Added 2-port version of a5200, and fixed ANTIC memory size. (#9730) [eientei95]

New working clones
------------------
Atari 5200 (2-port) [eientei95]

-zx spectrum drivers: Restore irq length == 32 / border timings. (#9711) [holub]

-Additions and changes to Spectrum-related softlists. (#9728) [ICEknigh7]
 * timex_cass.xml, spectrum_cass.xml:
   - Added a list of the known covertapes of "Byte Power, 1st Class Magazine" as well as the only known dump.
   - Moved games published by Timex actually made for the Spectrum to appropriate list.
   - Replaced two dumps with better versions.
     * specpls3.xml:
   - Verified that Spectrum disk version of Comando Tracer is the standalone release.
   - Updated notes.

New working software list additions (timex_cass.xml)
----------------------------------------------------
Byte Power (February 1988) [ICEknigh7]

-cpu/mips/r4000.cpp: Added TimerIntDis mux to IPEX5. (#9718) [Brice Onken]

-bus/nes: Various minor cleanups. (#9641) [0kmg]
 * MMC1: Made mirroring bits overridable for derivative boards. Also removed code for rumored MMC1C variant.
 * Moved various boards' hardwired mirroring from pcb_reset() to the software list.
 * Removed redundant banking of VRAM for non-banking boards and redundant variable setting.

-a2600.xml: Fixed publishers, and mark generalr/westward as clones of custer. (#9623) [eientei95]
 * "Mystique" was a product line, actual publisher was "American Multiple Industries".

-8080bw.cpp: Re-removed cocktail inputs from spaceat2/sinvzen. (#9624) [eientei95]

-slapfght.cpp: Hooked up flip screen output to MCU for alcon and slapfigh (#9748) [Vas Crabb]
 * slapfght.cpp: Hooked up flip screen output to MCU for alcon and slapfigh.
 * machine/taito68705interface.cpp: Removed some copy/pasted copyright holders.
   - The copyright holders were copied across from the drivers that the device was factored out of.  There's no content from the
      original drivers left.

-intelfsh.cpp:  Keep spacing consistent to all other devices [Scott Stone]

New working machines
--------------------
Cops Pocket Assistant [hap, Sean Riddle]

-dpb_combiner.cpp:  Deleted left over file per Ryan Holtz [Scott Stone]

-tait8741.cpp: Removed old simulation of Gladiator MCUs (unused for a while now). [Vas Crabb]

-vball.cpp: used finder for memory bank and other small cleanups [Ivan Vangelista]

-bus/vcs_ctrl: Fixed swapped paddle buttons (fixes #9755). (#9756) [0kmg]

-exidy.cpp: Got rid of duplicate coin inputs. [Vas Crabb]
 * Partially addresses GitHub #9757.  Coin 2 doesn't work for targ and spectar, but that isn't a regression (it was already broken,
    not sure if error in schematics, game bug, or emulation issue is to blame).  DIP switches and locations are still a bit of a
    mess, too.

-netlist: Improved PPMF target support and test coverage. (#9752) [couriersud]
 * This addresses most of the issues described in #8590.
   - Fixed standalone Visual Studio 2019 builds, including support for clang toolchain.
   - Added static stub to PMF to support MSVC ABI.
   - Better aligned ppmf syntax with MAME's delegate syntax.
   - Add tests/test_ppmf*.cpp testing examples given in #8590.
     * Also worked around issues some versions of Apple clang have with 5aaae19230bd39dda6766641672f57276a3f9ea1.

-bus/bbc/internal: Added the Memex-B20 board. [Nigel Barnes]

-acorn_dsk: Adjusted returned FFID's to indicate verified internal structure. [Nigel Barnes]

New working software list additions
-----------------------------------
bbc_rom: Integra-B OS 1.14, Integra-B OS 1.20, Integra-B OS 1.20 (Y2K patched), Memex-B20 2.2, VidiEditor 1.2, PipeDream 0.2,
  Chuckie Egg (unofficial ROM), Frak! (unofficial ROM), Killer Gorilla (unofficial ROM) [Nigel Barnes]

Software list items promoted to working
---------------------------------------
bbc_rom: SideAid128 1.03 [Nigel Barnes]

-RC2014 (#9759) [Miodrag Milanović]

New working clones
------------------
RC2014 Mini with CP/M Upgrade [Miodrag Milanovic]

-rc2014: added RTC, IDE, FDC and Sound module, fix memory and i/o mapping, proper flash mapping [Miodrag Milanović]

-rc2014: add more official ROMs [Miodrag Milanovic]

-pangofun.cpp: remove unnecessary screen legacy setup, add QA notes [angelosa]

-Software lists: Standardized titles of Mashin Eiyuuden Wataru games. (#9764) [0kmg]

-dc.xml: Tidied up descriptions and added a missing parent/clone relationship. (#9758) [ArcadeShadow]

-Fix interface to upd7759 sounds (#9769) [Paul-Arnold]
 * Interface to upd7759 was using start and reset inputs when should've been using mode and reset.

-fix version detection in str_to_version (#9767) [sairuk]

-nemesis.cpp: Fixed coin inputs in salamand and clones (MT08315). (#9766) [0kmg]

-snes.xml: Added seven dumps. (#9763) [0kmg]

New working software list additions
-----------------------------------
Corn Buster [NoIntro]
Dorke & Ymp [NoIntro]
Iron Commando [NoIntro]
Legend (Piko reissue) [NoIntro]
Mr. Bloopy Saves the World [NoIntro]
Super Noah's Ark 3D (Piko reissue) [NoIntro]
Super Thor Quest [NoIntro]

-goldstar.cpp: decrypted cb3c, needs correct address map [Ivan Vangelista]

-gstriker.cpp: used finder for memory bank and other small cleanups [Ivan Vangelista]

-scripts: Improve str_to_version again. [Vas Crabb]
 * Don't treat hypen and dot as the same thing - it will cause issues with pacakge revisions.  Cleaned up some Lua code as well.
 * Also show warnings about potentially uninitialised stuff with GCC 12, just don't make them fatal errors.

-gstriker.cpp: made it compile with Clang, too [Ivan Vangelista]

-JPM SRU fruit machine improvements (#9632) [SomeRandomGuyIdk]
 * jpmsru.cpp: Fleshed out I/O and added layouts.
 * machine/steppers.cpp: Added JPM SRU 200-step pattern.
 * audio/fruitsamples.cpp: Added device for simulated fruit machine sounds.

-bus/rc2014 code review fixes (#9768) [Miodrag Milanović]
 * Unmap I/O space on bus reset and install I/O on card reset.
 * Cleaned up code.

-emu/emuopts.cpp: Do not lose slot card name when setting slot card BIOS. (#9770) [Miodrag Milanović]

-umipoker.cpp: Add notes about undumped games [AJR]

-cpu16: Disassembly fixes [AJR]
 * Correct mnemonics for TMXED and immediate-mode SBCE
 * Correct addressing modes for LDHI and certain forms of BCLR and BSET
 * Add note about possible alternate mnemonics

-VIC20 keyboard can be read in either direction, fixes jetpac. [smf]

-cpu16: Add preliminary execution core [AJR]

-cpu16.cpp: Small fixups [AJR]

-cpu16.cpp: Fix fallthrough attribute [AJR]

-upd7759: Fixes to switching between slave and stand alone mode. (nw) (#9772) [wilbertpol]

-cdi.xml: Added one new entry (#9771) [David 'Foxhack' Silva]

New working software list additions
-----------------------------------
The Photo CD Book Companion CD-ROM [Dave 'Foxhack' Silva]

-jpmsru.cpp: added missing newline, removed some surplus tabs [Robbbert]

-slap fight: Correct placement [Olivier Galibert]

-diexec: optionally resynchronize to the implicit clock domain on clock frequency change (#9726) [Olivier Galibert]
 * apple3: resync on clock change to keep the correct phase relationship with the diskiii

-remove randomly added character [Olivier Galibert]

-asmjit: sync with upstream [Patrick Mackinlay]

-homedata.cpp: Add kanji/kana titles to comments [AJR]

-hourouki: Normalize transliteration of subtitle [AJR]

-Remove vestigial rc2014mini ROM definition (#9776) [Chris Swan]

-einstein: Set PSG Port A default value, fixes diagnostic ROM [Dirk Best]

-umipoker, saiyukip: Remove Coin 2 and Coin 3 inputs (these appear to do nothing) and swap Coin 1 with Key In [AJR]

-MT08316: wmg: when a game is chosen from the menu, it has a black screen or resets [Robbbert]

-wmg: saved 128k of memory. [Robbbert]

-wmg: fixed defender [Robbbert]

-cpu16.cpp: Fix shift in get_xk [AJR]

-cfp1080s: Add some more RAM and another stub read handler [AJR]

-neogeo.lay: work around rendlay bounds issue [hap]

-badlands_ms.cpp: Added missing PROMs. (#9775) [ClawGrip]

-removed some unnecessary 6821 readca1_handler/readca2_handler/readcb1_handler hookups [smf]

-fix for building with clang 14 as asmjit uses | & operators on bools [smf]

Clones promoted to working
--------------------------
Skelagon [smf]

-mtx.cpp: New expansion devices CFX System and MAGROM. [Nigel Barnes]
 * Added Reset keys and joystick ports.
 * Re-implemented cartridge slot as external ROMPAK device.

New working software list additions
-----------------------------------
mtx_cart: MAGROM v1.00, MAGROM v1.02, MAGROM v1.03(SP), MAGROM v1.04, MAGROM v1.05, MAGROM v1.05a, MAGROM v2.00 [Martin Allcorn]
mtx_hdd: [Nigel Barnes]
CP/M 54K, CP/M 59K, Hex-Train [Andy Key]
Fuzix OS [Alan Cox]

New clones marked as NOT_WORKING
--------------------------------
Z-180 Series [Colin McDougall]

-snowbros.cpp: corrected title for honeydol [Brian Troha]

-eacc: fixed various regressions s9, wmg: fixed typos [Robbbert]

-Always initialize upd3301 attr_extend_info, as the loop isn't guaranteed to set all entries. I don't know what real hardware would
 do, but it triggered a compiler warning. [smf]

-Don't forget the current state of dsr & rts when changing serial settings in null modem device. [smf]

-Implemented Monkey Magic flip screen & multiplexed controls. The dump is likely from a cocktail board as the screen flipping is the
 only indication of which player is up. [smf]

-mmagic: restore driver style [Dirk Best]

-atarist.cpp: Cleanups and minor fixes [AJR]
 * Add cartridge software list and IPF floppy format to all sets
 * Add missing handlers to (still non-working) ste, megast and megaste memory maps, making megaste a megast derivative
 * Give HD6301 its own XTAL
 * Use array finders for HD6301 keyboard and joystick ports
 * Swap players for joystick and button inputs (needed for mouse to work)
 * Remove shifter mode 1 kludge that seems to hurt more than help

New clones marked as NOT_WORKING
--------------------------------
The House of the Dead (Revision A) [egregiousguy]

-seta.cpp: added hardware info for Caliber 50 [Guru]

-snk.cpp: added hardware info for Ikari Warriors [Guru]

-netlist: Fixes to address PR #9752 and issue #8590 / EMSCRIPTEN (#9773) [couriersud]
 * netlist: pointer to member function code
   - Address PR #9752 and issue #8590
   - change comments in ppmf.h
   - add support for function desciptors (IA64)
   - sizeof(size_t) may be different on build targets make plib::hash use uint64 to ensure consistent static solver hashes across
      platforms (EMSCRIPTEN)
   - Moved constructor and member functions outside the class declaration with the exception of "call" member functions.
   - Updated comment on accessing RDX
   - Added more test cases
     * Removed execution bit on certain files I have separated out the raw processing code into `ppmf.cpp`. I have also taken first
        steps to clean the abi identification.
       - The code submitted now supports:
       - a) The unknown virtual inheritance case with specific code for MSVC for simple (i.e. scalar, void, reference, pointer)
          return types using the optimized code. This is the test case only supported under MSVC and which should return 7. Please
          have a look at the code. Basically m_vptr_offset is an index into a pointer table. It needs to be multiplied by
          `sizeof(void *)`.
       - b) If you enable PPMF_EXPERIMENTAL complex return type member functions for MSVC will also use the optimized code path.
          This is explained in detail in the code in ppmf, including caveats and possible solutions.
       - c) Enabling PPMF_USE_MAME_DELEGATES will use `src/lib/util/delegate.h` as a replacement for `ppmf.h`. This allows to run
          the same tests (`nltool -c tests` from standalone build) as for the ppmf code.
       - d) The code now also supports `clang-cl`
       - e) sizeof(size_t) may be different on build targets.
       - Make plib::hash use uint64 to ensure consistent static solver hashes across platforms. This fixes loading static solvers
          (if enabled) on EMSCRIPTEN.

-Updated Commodore LCD colors, based on recent pictures from one of the prototypes. [smf]
 * Fixed Commodore LCD real time clock reading, it relies on the RTC chip being able to ground PORT A while it is set to an output.
    Which is documented in the 6522 datasheet as being possible. It's NMOS, so it has weak pull ups and doesn't drive it's output
    hard. However due to a bug in the prototype ROM code, it currently has the date and month swapped round. [smf]

-3rdparty/portmidi: Fixed windows MIDI callback signatures. (#9781) [Devin Acker]

-spdheat.cpp: Demoted to MACHINE_IMPERFECT_SOUND. (#9779) [eientei95]
 * Analog filters and actual speaker arrangement are not emulated.

-atarist.cpp: Split out video and blitter as separate devices [AJR]

-gbcolor.xml: Added Green Beret prototypes developed by Kak. (#9754) [ICEknigh7]

New working software list additions (gbcolor)
---------------------------------------------
Green Beret (prototype 1) [Kak, retroLEL]
Green Beret (prototype 2) [Kak, retroLEL]
Green Beret (prototype 3) [Kak, retroLEL]

-atarist.cpp: fixed compile on GCC 11.3.0 [Ivan Vangelista]

Clones promoted to working
--------------------------
Multi Win (Ver.0091, encrypted) [Ivan Vangelista]

-funworld.cpp: used the decryption PROM in other set where available, too (megacard, powercrd) [Ivan Vangelista]

-Patch Commodore LCD RTC register table by swapping day & month values. [smf]

-bus/mtx/cfx: Do nothing when both CS0/CS1 are asserted. [Nigel Barnes]

-bus/bbc/internal/cumana68k: Add default MFM floppy formats. [Nigel Barnes]

-krokha,iphone2g: Fixed "Attempt to register save state entry after state registration is closed" [Robbbert]

-rs2030: add mouse [Patrick Mackinlay]

-funworld.cpp: actually removed MNW flag from multiwina [Ivan Vangelista]

-labtam3232: new card skeleton [Patrick Mackinlay]

-ui/viewgfx.cpp: Added ability to restrict tiles to integer scale factors. (#9783) [Vas Crabb]
 * Also encapsulated things a bit more and made the UI manager hold onto the storage rather than keeping it in file statics.

-fidel_csc: get rid of ca1/cb1 read handlers, the easy way [hap]

-Added Z80 Video Pak cartridge to Commodore 64. [smf]
 * Fixed XL-80 cartridge lower case and inverse video [smf]

-partial revert of 68ebb786d10553a4e8c262216db4daa1415f32fc [smf-]

-bus/mtx/cfx: Do nothing when both READ/WRITE are asserted. [Nigel Barnes]

-tube: Implemented parasite reset PRST line, and added to all co-processors. [Nigel Barnes]

-bus/acorn/cms/4080term: Use raw screen params. [Nigel Barnes]

-netlist/plib: Fixed detection of clang versions with noexcept issue, added feature constants for C++ standard library version.
 [Vas Crabb]

-machine/7474.cpp: Fixed use of uninitialised members. [Vas Crabb]

-perfrman: Partially guessed video adjustment [Olivier Galibert]

-ui/viewgfx.cpp: Remember orientation/position/scale per tilemap; more encapsulation. [Vas Crabb]

-ui/viewgfx.cpp: Fixed some cases where no tiles would appear with tall or wide aspect ratio windows. [Vas Crabb]

-xain.cpp: updated hardware info [Guru]

-nec.cpp: Add support for EXT reg,imm4 and INS reg,imm4 (#9793) [wilbertpol]

-netlist: More c++, less macros, added support for cspell (#9794) [couriersud]
 * More c++, less macros
   - Significantly reduced the use of unused_var and replaced it with [[maybe_unused]]
   - use enum class in ppmf.h
 * Changes to testing code in ptest.h
   - Catch exceptions in more places
   - The verbosity of the output can now be controlled
   - Display of test stats totals
 * added support for cspell
 * fixed various typos
 * fixed SUBTARGET=nl build
 * fixed more file permissions
 * srcclean and add fix_permissions target to netlist makefile

-gamegear.xml: Added ROM patch to brkthru playable. (#9792) [0kmg]

Software list items promoted to working
---------------------------------------
BreakThru! (prototype) [0kmg]

-Corrected various Wonder Boy title descriptions (MT08321). (#9798) [0kmg]

-Removed superfluous semicolons from various source files. (#9796) [0kmg]

-fmtowns_cd.xml: 7 new dumps (#9786) [r09]

New working software list additions
-----------------------------------
'94-nen Nice Gal - Natsu no Soukessan [redump.org]
Ii Tabi Ii Aji Goannai - Furusato Kodzutsumi & Kanpo no Yado - Heisei Gannendo-ban [redump.org]
Pocky 1-2 + Ponyon [redump.org]
Psychic Detective Series Vol. 4 - Orgel (Demo) [redump.org]
Psychic Detective Series Final - Solitude Gekan (Demo) [redump.org]
The Playroom [redump.org]
Zak McKracken and The Alien Mindbenders (HMB-218) [redump.org]

-megadriv.xml: Added eight dumps. (#9785) [0kmg]

New working software list additions (megadriv.xml)
--------------------------------------------------
Canon - The Legend of the New Gods [NoIntro]
Clan of Heroes - Generals of the Yang Family [NoIntro]
Custodian [NoIntro]
Duke Nukem 3D (Piko reissue) [NoIntro]
Mega Noah's Ark 3D [NoIntro]
Switchblade [NoIntro]
Water Margin - A Tale of Clouds and Wind [NoIntro]
Wisdom Tree Collection [NoIntro]

-srcclean in preparation for release [Vas Crabb]

-change spectrum 128 code to match comment [smf]

-Spectrum +2/+3 contended memory is different to Spectrum 128k [smf]

-bus/iee488/hp9122c.cpp: Added default MFM floppy image formats, (#9811) [r09]
 * This allows HP 9000/3xx machines to actually use floppy images from the software list.

-clcd.cpp: Use 1 MHz for system clock. (#9797) [Mike Naberezny]

-specpls3.cpp: Formatting consistency [Vas Crabb]

-bgfx: Honour texture wrap flag. (#9812) [Vas Crabb]

-machine/cps2comm.cpp: Worked around missing deduction guides for std::array in libc++ 6. [Vas Crabb]

-z80: bug fix for 16-bit operands [Patrick Mackinlay]

-pc98_cd.xml: Marked Master of Magic as unsupported due to issues with 256 colour mode. [Vas Crabb]

-ui/ui.cpp: Use unordered map for session data, to tempt fate with toolchain bugs. [Vas Crabb]
